Dark Age of Camelot Wiki
Advertisement
I am getting "Renderer Creation failed" with a Ati Radeon 7000 series card. What can I do?

Please download the Catalyst 3.7 driver version. This version has been known to work best with the ATi 7000 series.


Win9x/ME version:

[1]


XP/2K version:

[2]

Advertisement